V2 50 endpoints

PUT /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{versionId}/exports
operationId: V2_PutModelVersionExports

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —
versionId path required string —

Responses

default

An unexpected error response.

200

A successful response.

PUT /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{versionId}/exports
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{versionId}/inputs
operationId: V2_ListModelInputs3

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —
versionId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{versionId}/inputs
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{versionId}/metrics
operationId: V2_GetModelVersionMetrics

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —
versionId path required string —
fields.confusionMatrix query optional boolean —
fields.cooccurrenceMatrix query optional boolean —
fields.labelCounts query optional boolean —
fields.binaryMetrics query optional boolean —
fields.testSet query optional boolean —
fields.metricsByArea query optional boolean —
fields.metricsByClass query optional boolean —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{versionId}/metrics
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{versionId}/metrics
operationId: V2_PostModelVersionMetrics

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —
versionId path required string —

Request Body

required
application/json
schema V2PostModelVersionMetricsRequest
Property Type Required
evalInfo object optional
└ params object optional
userAppId object optional
testSearch object optional
└ id string optional
└ asOf string optional
└ name string optional
└ save boolean optional
└ query object optional
└ ands array optional
└ input object optional
└ negate boolean optional
└ output object optional
└ annotation object optional
└ ranks array optional
└ negate boolean optional
└ annotation object optional
└ filters array optional
└ input object optional
└ negate boolean optional
└ annotation object optional
└ lastUpdatedTimeRange object optional
└ language string optional
└ metric string optional
└ gitHash string optional
└ minValue number optional
└ algorithm string optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ applicationId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{versionId}/metrics
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{versionId}/output_info
operationId: V2_GetModelOutputInfo3

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —
versionId path required string

This is included so that we can re-use this request for multiple
rpcs with and without the version_id.

language query optional string —
trainedBefore query optional boolean —
additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response. Currently supported: all, stars, outputs, presets

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{versionId}/output_info
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{versionId}/outputs
operationId: V2_PostModelOutputs

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —
versionId path required string —

Request Body

application/json
schema V2PostModelOutputsRequest
Property Type Required
model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ path string optional
└ required boolean optional
└ fieldType string optional
└ description string optional
└ placeholder string optional
└ defaultValue object optional
└ internalOnly boolean optional
└ modelTypeRangeInfo object optional
└ modelTypeEnumOptions array optional
└ outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ displayName string optional
└ …7 more object optional
inputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
userAppId object optional
runnerSelector object optional
└ runner object optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ labels array optional
└ userId string optional
└ metadata object optional
└ nodepool object optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ workflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ createdAt string optional
└ modifiedAt string optional
└ computeInfo object optional
└ numCpus integer optional
└ cpuMemory string optional
└ acceleratorType array optional
└ numAccelerators integer optional
└ acceleratorMemory string optional
└ description string optional
└ nodepool object optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ id string optional
└ cloud string optional
└ region string optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ deployment object optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ userId string optional
└ workflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ nodepools array optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ autoscaleConfig object optional
└ maxReplicas integer optional
└ minReplicas integer optional
└ enablePacking boolean optional
└ scaleUpDelaySeconds integer optional
└ scaleDownDelaySeconds integer optional
└ trafficHistorySeconds integer optional
└ schedulingChoice string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{versionId}/outputs
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{versionId}/outputs/generate
operationId: V2_GenerateModelOutputs

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —
versionId path required string —

Request Body

application/json
schema V2PostModelOutputsRequest
Property Type Required
model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ path string optional
└ required boolean optional
└ fieldType string optional
└ description string optional
└ placeholder string optional
└ defaultValue object optional
└ internalOnly boolean optional
└ modelTypeRangeInfo object optional
└ modelTypeEnumOptions array optional
└ outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ displayName string optional
└ …7 more object optional
inputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
userAppId object optional
runnerSelector object optional
└ runner object optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ labels array optional
└ userId string optional
└ metadata object optional
└ nodepool object optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ workflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ createdAt string optional
└ modifiedAt string optional
└ computeInfo object optional
└ numCpus integer optional
└ cpuMemory string optional
└ acceleratorType array optional
└ numAccelerators integer optional
└ acceleratorMemory string optional
└ description string optional
└ nodepool object optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ id string optional
└ cloud string optional
└ region string optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ deployment object optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ userId string optional
└ workflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ nodepools array optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ autoscaleConfig object optional
└ maxReplicas integer optional
└ minReplicas integer optional
└ enablePacking boolean optional
└ scaleUpDelaySeconds integer optional
└ scaleDownDelaySeconds integer optional
└ trafficHistorySeconds integer optional
└ schedulingChoice string optional

Responses

default

An unexpected error response.

200

A successful response.(streaming responses)

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{versionId}/outputs/generate
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules
operationId: V2_DeleteModules

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

application/json
schema V2DeleteInputsRequest
Property Type Required
ids array optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules
operationId: V2_ListModules

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

additionalFields query optional array —
sortAscending query optional boolean

Sorting options:
Whether to sort in ascending order. If false, will order in descending order.

sortByCreatedAt query optional boolean

Whether to order by the created_at time.

sortByStarCount query optional boolean

Whether to order by the number of users stared the app

sortByModifiedAt query optional boolean

If neither sort option is set to true, will sort by modified_at.

sortById query optional boolean

Whether to order by the external id

starredOnly query optional boolean

Filtering options:

bookmark query optional boolean

Filter modules by bookmark. If set, only return bookmarked modules. Otherwise none bookmarked modules only.

search query optional string

Searching options:
Specify a search parameter in order to perform keyword search on the
following fields of the module:

  • id
  • description
  • user_id (unless user_app_id.user_id is already set)

Keywords are both normalized for search (so searching for “satisfy” matches “satisfied”)
and used for partial prefix-matching (so searching for “clari” matches “clarifai”).

NOTE: Both the list of fields searched and the exact keyword matching
rules are subject to change and not guaranteed to be backwards-compatible.

name query optional string

Filter by the id and description of the module. This supports wildcard queries like “gen*” to match “general” as an example.
Deprecated: use search instead.

filterByUserId query optional boolean

Filter by the application owner whose this module belongs to
Deprecated: use search instead of name.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules
operationId: V2_PatchModules

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PatchModulesRequest
Property Type Required
action string optional
modules array optional
└ id string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ userId string optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ moduleVersion object optional
└ id string optional
└ appId string optional
└ notes string optional
└ userId string optional
└ approved boolean optional
└ metadata object optional
└ moduleId string optional
└ createdAt string optional
└ moduleNav object optional
└ title string optional
└ moduleSubNavs array optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ gitCommitUrl string optional
└ bookmarkOrigin object optional
└ id string optional
└ appId string optional
└ userId string optional
└ resourceType string optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules
operationId: V2_PostModules

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostModulesRequest
Property Type Required
modules array optional
└ id string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ userId string optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ moduleVersion object optional
└ id string optional
└ appId string optional
└ notes string optional
└ userId string optional
└ approved boolean optional
└ metadata object optional
└ moduleId string optional
└ createdAt string optional
└ moduleNav object optional
└ title string optional
└ moduleSubNavs array optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ gitCommitUrl string optional
└ bookmarkOrigin object optional
└ id string optional
└ appId string optional
└ userId string optional
└ resourceType string optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules/{moduleId}
operationId: V2_GetModule

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
moduleId path required string —
additionalFields query optional array —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules/{moduleId}
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules/{moduleId}/versions
operationId: V2_DeleteModuleVersions

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
moduleId path required string —

Request Body

required
application/json
schema V2DeleteModuleVersionsRequest
Property Type Required
ids array optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules/{moduleId}/versions
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules/{moduleId}/versions
operationId: V2_ListModuleVersions

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
moduleId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules/{moduleId}/versions
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules/{moduleId}/versions
operationId: V2_PatchModuleVersions

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
moduleId path required string —

Request Body

required
application/json
schema V2PatchModuleVersionsRequest
Property Type Required
action string optional
userAppId object optional
moduleVersions array optional
└ id string optional
└ appId string optional
└ notes string optional
└ userId string optional
└ approved boolean optional
└ metadata object optional
└ moduleId string optional
└ createdAt string optional
└ moduleNav object optional
└ title string optional
└ moduleSubNavs array optional
└ title string optional
└ queryKey string optional
└ queryValue string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ gitCommitUrl string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules/{moduleId}/versions
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules/{moduleId}/versions
operationId: V2_PostModuleVersions

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
moduleId path required string —

Request Body

required
application/json
schema V2PostModuleVersionsRequest
Property Type Required
userAppId object optional
moduleVersions array optional
└ id string optional
└ appId string optional
└ notes string optional
└ userId string optional
└ approved boolean optional
└ metadata object optional
└ moduleId string optional
└ createdAt string optional
└ moduleNav object optional
└ title string optional
└ moduleSubNavs array optional
└ title string optional
└ queryKey string optional
└ queryValue string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ gitCommitUrl string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules/{moduleId}/versions
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules/{moduleId}/versions/{moduleVersionId}
operationId: V2_GetModuleVersion

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
moduleId path required string —
moduleVersionId path required string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules/{moduleId}/versions/{moduleVersionId}
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules/{moduleId}/versions/{moduleVersionId}/usage_count
operationId: V2_GetModuleVersionUsageCount

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
moduleId path required string —
moduleVersionId path required string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/modules/{moduleId}/versions/{moduleVersionId}/usage_count
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/myscopes
operationId: V2_MyScopes

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/myscopes
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/resource_counts
operationId: V2_GetResourceCounts

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/resource_counts
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/searches
operationId: V2_ListSearches

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/searches
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/searches
operationId: V2_PatchSearches

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PatchSearchesRequest
Property Type Required
action string optional
searches array optional
└ id string optional
└ asOf string optional
└ name string optional
└ save boolean optional
└ query object optional
└ ands array optional
└ input object optional
└ negate boolean optional
└ output object optional
└ annotation object optional
└ ranks array optional
└ negate boolean optional
└ annotation object optional
└ filters array optional
└ input object optional
└ negate boolean optional
└ annotation object optional
└ lastUpdatedTimeRange object optional
└ language string optional
└ metric string optional
└ gitHash string optional
└ minValue number optional
└ algorithm string optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ applicationId string optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/searches
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/searches

Deprecated: Use PostInputsSearches or PostAnnotationsSearches instead.

operationId: V2_PostSearches

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostSearchesRequest
Property Type Required
query object optional
└ ands array optional
└ input object optional
└ id string optional
└ data object optional
└ status object optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
└ negate boolean optional
└ output object optional
└ id string optional
└ data object optional
└ input object optional
└ model object optional
└ status object optional
└ createdAt string optional
└ annotation object optional
└ id string optional
└ data object optional
└ status object optional
└ taskId string optional
└ userId string optional
└ inputId string optional
└ trusted boolean optional
└ createdAt string optional
└ inputLevel boolean optional
└ modifiedAt string optional
└ consensusInfo object optional
└ annotationInfo object optional
└ modelVersionId string optional
└ workflowVersionId string optional
└ embedModelVersionId string optional
└ ranks array optional
└ negate boolean optional
└ annotation object optional
└ id string optional
└ data object optional
└ status object optional
└ taskId string optional
└ userId string optional
└ inputId string optional
└ trusted boolean optional
└ createdAt string optional
└ inputLevel boolean optional
└ modifiedAt string optional
└ consensusInfo object optional
└ annotationInfo object optional
└ modelVersionId string optional
└ workflowVersionId string optional
└ embedModelVersionId string optional
└ filters array optional
└ input object optional
└ id string optional
└ data object optional
└ status object optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
└ negate boolean optional
└ annotation object optional
└ id string optional
└ data object optional
└ status object optional
└ taskId string optional
└ userId string optional
└ inputId string optional
└ trusted boolean optional
└ createdAt string optional
└ inputLevel boolean optional
└ modifiedAt string optional
└ consensusInfo object optional
└ annotationInfo object optional
└ modelVersionId string optional
└ workflowVersionId string optional
└ embedModelVersionId string optional
└ lastUpdatedTimeRange object optional
└ endTime string optional
└ startTime string optional
└ language string optional
searches array optional
└ id string optional
└ asOf string optional
└ name string optional
└ save boolean optional
└ query object optional
└ ands array optional
└ input object optional
└ negate boolean optional
└ output object optional
└ annotation object optional
└ ranks array optional
└ negate boolean optional
└ annotation object optional
└ filters array optional
└ input object optional
└ negate boolean optional
└ annotation object optional
└ lastUpdatedTimeRange object optional
└ language string optional
└ metric string optional
└ gitHash string optional
└ minValue number optional
└ algorithm string optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ applicationId string optional
userAppId object optional
pagination object optional
└ page integer optional
└ perPage integer optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/searches
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/searches/{id}
operationId: V2_DeleteSearch

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
id path required string —

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/searches/{id}
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/searches/{id}
operationId: V2_GetSearch

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
id path required string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/searches/{id}
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/searches/{id}
operationId: V2_PostSearchesByID

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
id path required string

ID for saves search to be executed

Request Body

required
application/json
schema V2PostSearchesByIdRequest
Property Type Required
userAppId object optional
pagination object optional
└ page integer optional
└ perPage integer optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/searches/{id}
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/stats/values
operationId: V2_PostStatValues

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostStatValuesRequest
Property Type Required
userAppId object optional
statValues array optional
└ tags array optional
└ time string optional
└ value number optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/stats/values
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/stats/values/aggregate
operationId: V2_PostStatValuesAggregate

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostStatValuesAggregateRequest
Property Type Required
userAppId object optional
statValueAggregateQueries array optional
└ tags array optional
└ endTime string optional
└ startTime string optional
└ tagGroups array optional
└ statTimeAggType string optional
└ statValueAggType string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/stats/values/aggregate
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/task/{taskId}/annotations/status
operationId: V2_PatchAnnotationsStatus

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
taskId path required string

Filter by task ID

Request Body

required
application/json
schema V2PatchAnnotationsStatusRequest
Property Type Required
action string optional
userIds array optional
userAppId object optional
statusCode string optional
statusCodes array optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/task/{taskId}/annotations/status
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks
operationId: V2_DeleteTasks

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2DeleteTasksRequest
Property Type Required
ids array optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks
operationId: V2_ListTasks

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

workerUserIds query optional array

Get tasks that have ANY user from this list assigned as worker.

reviewUserIds query optional array

Get tasks that have ANY user from this list assigned as reviewer.

labelOrderIds query optional array

Get tasks that are associated to ANY label order from this list.

includingLabelOrderTasks query optional boolean

Get label order tasks as well
It is automatically set to true if label_order_ids is set.

additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response.
Currently supported additional fields:

  • all
  • worker.users
  • review.users
  • metrics.work.inputs_count_estimated
  • metrics.work.inputs_percent_estimated
ids query optional array

(optional) task IDs to filter on

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks
operationId: V2_PatchTasks

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PatchTasksRequest
Property Type Required
tasks array optional
└ id string optional
└ name string optional
└ type string optional
└ appId string optional
└ review object optional
└ users array optional
└ id string optional
└ jobRole string optional
└ billType string optional
└ jobTitle string optional
└ lastName string optional
└ metadata object optional
└ createdAt string optional
└ firstName string optional
└ intention string optional
└ isStarred boolean optional
└ starCount integer optional
└ teamsCount integer optional
└ userDetail object optional
└ visibility object optional
└ companyName string optional
└ primaryEmail string optional
└ datePiiConsent string optional
└ dateTosConsent string optional
└ emailAddresses array optional
└ dateGdprConsent string optional
└ …2 more object optional
└ userIds array optional
└ strategy string optional
└ manualStrategyInfo object optional
└ samplePercentage number optional
└ consensusStrategyInfo object optional
└ approvalThreshold integer optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ worker object optional
└ users array optional
└ id string optional
└ jobRole string optional
└ billType string optional
└ jobTitle string optional
└ lastName string optional
└ metadata object optional
└ createdAt string optional
└ firstName string optional
└ intention string optional
└ isStarred boolean optional
└ starCount integer optional
└ teamsCount integer optional
└ userDetail object optional
└ visibility object optional
└ companyName string optional
└ primaryEmail string optional
└ datePiiConsent string optional
└ dateTosConsent string optional
└ emailAddresses array optional
└ dateGdprConsent string optional
└ …2 more object optional
└ userIds array optional
└ workers array optional
└ user object optional
└ model object optional
└ workflow object optional
└ strategy string optional
└ partitionedStrategyInfo object optional
└ type string optional
└ weights object optional
└ workersPerInput integer optional
└ metrics object optional
└ work object optional
└ inputsCountEstimated string optional
└ inputsPercentEstimated integer optional
└ concepts array optional
└ concept object optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ autoAnnotationConfig object optional
└ statusCode string optional
└ thresholdRange object optional
└ annotationDataTypes integer optional
└ sampleMs integer optional
└ createdAt string optional
└ conceptIds array optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ aiAssistant object optional
└ workflowId string optional
└ description string optional
└ inputSource object optional
└ id string optional
└ type string optional
└ labelOrderId string optional
└ aiAssistParams object optional
└ maxThreshold number optional
└ minThreshold number optional
└ conceptRelationIds array optional
└ …1 more object optional
action string optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks
operationId: V2_PostTasks

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostTasksRequest
Property Type Required
tasks array optional
└ id string optional
└ name string optional
└ type string optional
└ appId string optional
└ review object optional
└ users array optional
└ id string optional
└ jobRole string optional
└ billType string optional
└ jobTitle string optional
└ lastName string optional
└ metadata object optional
└ createdAt string optional
└ firstName string optional
└ intention string optional
└ isStarred boolean optional
└ starCount integer optional
└ teamsCount integer optional
└ userDetail object optional
└ visibility object optional
└ companyName string optional
└ primaryEmail string optional
└ datePiiConsent string optional
└ dateTosConsent string optional
└ emailAddresses array optional
└ dateGdprConsent string optional
└ …2 more object optional
└ userIds array optional
└ strategy string optional
└ manualStrategyInfo object optional
└ samplePercentage number optional
└ consensusStrategyInfo object optional
└ approvalThreshold integer optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ worker object optional
└ users array optional
└ id string optional
└ jobRole string optional
└ billType string optional
└ jobTitle string optional
└ lastName string optional
└ metadata object optional
└ createdAt string optional
└ firstName string optional
└ intention string optional
└ isStarred boolean optional
└ starCount integer optional
└ teamsCount integer optional
└ userDetail object optional
└ visibility object optional
└ companyName string optional
└ primaryEmail string optional
└ datePiiConsent string optional
└ dateTosConsent string optional
└ emailAddresses array optional
└ dateGdprConsent string optional
└ …2 more object optional
└ userIds array optional
└ workers array optional
└ user object optional
└ model object optional
└ workflow object optional
└ strategy string optional
└ partitionedStrategyInfo object optional
└ type string optional
└ weights object optional
└ workersPerInput integer optional
└ metrics object optional
└ work object optional
└ inputsCountEstimated string optional
└ inputsPercentEstimated integer optional
└ concepts array optional
└ concept object optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ autoAnnotationConfig object optional
└ statusCode string optional
└ thresholdRange object optional
└ annotationDataTypes integer optional
└ sampleMs integer optional
└ createdAt string optional
└ conceptIds array optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ aiAssistant object optional
└ workflowId string optional
└ description string optional
└ inputSource object optional
└ id string optional
└ type string optional
└ labelOrderId string optional
└ aiAssistParams object optional
└ maxThreshold number optional
└ minThreshold number optional
└ conceptRelationIds array optional
└ …1 more object optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks/{taskId}
operationId: V2_GetTask

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
taskId path required string —
additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response.
Currently supported additional fields:

  • all
  • worker.users
  • review.users
  • metrics.work.inputs_count_estimated
  • metrics.work.inputs_percent_estimated

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks/{taskId}
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks/{taskId}/annotations/count
operationId: V2_GetTaskAnnotationCount

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
taskId path required string

task_id for which count per user per status is needed

userIds query optional array

for given task_id, user_ids to filter on (optional)

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks/{taskId}/annotations/count
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks/{taskId}/assignments
operationId: V2_ListNextTaskAssignments

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
taskId path required string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks/{taskId}/assignments
PUT /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks/{taskId}/assignments
operationId: V2_PutTaskAssignments

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
taskId path required string —

Request Body

required
application/json
schema V2PutTaskAssignmentsRequest
Property Type Required
action string optional
inputId string optional
userAppId object optional
labelSubmitConfig object optional
└ taskAssignments array optional
└ id string optional
└ input object optional
└ id string optional
└ data object optional
└ status object optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ worker object optional
└ user object optional
└ model object optional
└ workflow object optional
└ createdAt string optional
└ modifiedAt string optional
reviewApproveConfig object optional
└ workers array optional
└ user object optional
└ id string optional
└ jobRole string optional
└ billType string optional
└ jobTitle string optional
└ lastName string optional
└ metadata object optional
└ createdAt string optional
└ firstName string optional
└ intention string optional
└ isStarred boolean optional
└ starCount integer optional
└ teamsCount integer optional
└ userDetail object optional
└ visibility object optional
└ companyName string optional
└ primaryEmail string optional
└ datePiiConsent string optional
└ dateTosConsent string optional
└ emailAddresses array optional
└ dateGdprConsent string optional
└ …2 more object optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ workflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ taskAssignments array optional
└ id string optional
└ input object optional
└ id string optional
└ data object optional
└ status object optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ worker object optional
└ user object optional
└ model object optional
└ workflow object optional
└ createdAt string optional
└ modifiedAt string optional
reviewRequestChangesConfig object optional
└ workers array optional
└ user object optional
└ id string optional
└ jobRole string optional
└ billType string optional
└ jobTitle string optional
└ lastName string optional
└ metadata object optional
└ createdAt string optional
└ firstName string optional
└ intention string optional
└ isStarred boolean optional
└ starCount integer optional
└ teamsCount integer optional
└ userDetail object optional
└ visibility object optional
└ companyName string optional
└ primaryEmail string optional
└ datePiiConsent string optional
└ dateTosConsent string optional
└ emailAddresses array optional
└ dateGdprConsent string optional
└ …2 more object optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ workflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ taskAssignments array optional
└ id string optional
└ input object optional
└ id string optional
└ data object optional
└ status object optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ worker object optional
└ user object optional
└ model object optional
└ workflow object optional
└ createdAt string optional
└ modifiedAt string optional

Responses

default

An unexpected error response.

200

A successful response.

PUT /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks/{taskId}/assignments
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks/{taskId}/inputs/count
operationId: V2_GetTaskInputCount

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
taskId path required string

task_id for which count per user per status is needed

userIds query optional array

for given task_id, user_ids to filter on (optional)

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks/{taskId}/inputs/count
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks/{taskId}/inputs/samples
operationId: V2_GetInputSamples

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
taskId path required string —
userIds query optional array

URL param. If zero ids provided, returns for all task labelers

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/tasks/{taskId}/inputs/samples
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/trending_metrics/views/{viewType}
operationId: V2_ListTrendingMetricsViews

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
viewType path required string

For now view types ‘apps’, ‘workflows’, and ‘models’ are supported.

page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/trending_metrics/views/{viewType}
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/trending_metrics/views/{viewType}/{objectId}
operationId: V2_PostTrendingMetricsView

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
viewType path required string

For now view types ‘apps’, ‘workflows’, and ‘models’ are supported.

objectId path required string

ID of the views object.

Request Body

required
application/json
schema V2PostTrendingMetricsViewRequest
Property Type Required
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/trending_metrics/views/{viewType}/{objectId}
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/uploads
operationId: V2_DeleteUploads

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2DeleteUploadsRequest
Property Type Required
ids array optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/uploads
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/uploads
operationId: V2_ListUploads

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/uploads
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/uploads
operationId: V2_PostUploads

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostUploadsRequest
Property Type Required
uploads array optional
└ id string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ expiresAt string optional
└ contentUrl string optional
└ modifiedAt string optional
└ contentName string optional
└ contentLength string optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/uploads
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/uploads/{uploadId}
operationId: V2_GetUpload

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
uploadId path required string

Upload ID

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/uploads/{uploadId}
PUT /v2/users/{userAppId.userId}/apps/{userAppId.appId}/uploads/{uploadId}/content_parts
operationId: V2_PutUploadContentParts

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
uploadId path required string —

Request Body

required
application/json
schema V2PutUploadContentPartsRequest
Property Type Required
userAppId object optional
contentParts array optional
└ data string optional
└ partNumber string optional
└ rangeStart string optional

Responses

default

An unexpected error response.

200

A successful response.

PUT /v2/users/{userAppId.userId}/apps/{userAppId.appId}/uploads/{uploadId}/content_parts
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows
operationId: V2_DeleteWorkflows

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

application/json
schema V2DeleteCollectorsRequest
Property Type Required
ids array optional
deleteAll boolean optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows
operationId: V2_ListWorkflows

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response. Currently supported: all, stars

sortAscending query optional boolean

Sorting options:
Whether to sort in ascending order. If false, will order in descending order.

sortById query optional boolean

Whether to order by the name

sortByModifiedAt query optional boolean

Whether to order by the modified_at time.
If none of the sort options is set to true, will sort by modified_at.

sortByCreatedAt query optional boolean

Whether to order by the created_at time.

sortByStarCount query optional boolean

Whether to order by the number of users stared the workflow

featuredOnly query optional boolean

Filtering options:
If true, we only return workflows that are handpicked by clarifai staff

starredOnly query optional boolean

If true, we only return workflows that are starred by the requesting user

bookmark query optional boolean

Filter workflows by bookmark. If set, only return bookmarked workflows. Otherwise none bookmarked workflows only.

search query optional string

Searching options:
Specify a search parameter in order to perform keyword search on the
following fields of the workflow:

  • id
  • description
  • notes
  • user_id (unless user_app_id.user_id is already set)

Keywords are both normalized for search (so searching for “satisfy” matches “satisfied”)
and used for partial prefix-matching (so searching for “clari” matches “clarifai”).

NOTE: Both the list of fields searched and the exact keyword matching
rules are subject to change and not guaranteed to be backwards-compatible.

query query optional string

Query various text fields (id, description and notes) that can contain the words in the query string.
Deprecated: use search instead.

id query optional string

Filter by the id of the workflow. This supports wilcard queries like “gen*” to match “general” as an example.
Deprecated: use search instead.

searchTerm query optional string

Full text and prefix matching on id, owner id, description and notes. Searchable fields may be added
Deprecated: use search instead.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows
operationId: V2_PatchWorkflows

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PatchWorkflowsRequest
Property Type Required
action string optional
userAppId object optional
workflows array optional
└ id string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ nodes array optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ nodeInputs array optional
└ nodeId string optional
└ suppressOutput boolean optional
└ outputInfoOverride object optional
└ data object optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ outputConfig object optional
└ notes string optional
└ userId string optional
└ version object optional
└ id string optional
└ appId string optional
└ nodes array optional
└ id string optional
└ model object optional
└ nodeInputs array optional
└ suppressOutput boolean optional
└ outputInfoOverride object optional
└ userId string optional
└ license string optional
└ metadata object optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ workflowId string optional
└ description string optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ id string optional
└ appId string optional
└ userId string optional
└ resourceType string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows
operationId: V2_PostWorkflows

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostWorkflowsRequest
Property Type Required
userAppId object optional
workflows array optional
└ id string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ nodes array optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ nodeInputs array optional
└ nodeId string optional
└ suppressOutput boolean optional
└ outputInfoOverride object optional
└ data object optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ outputConfig object optional
└ notes string optional
└ userId string optional
└ version object optional
└ id string optional
└ appId string optional
└ nodes array optional
└ id string optional
└ model object optional
└ nodeInputs array optional
└ suppressOutput boolean optional
└ outputInfoOverride object optional
└ userId string optional
└ license string optional
└ metadata object optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ workflowId string optional
└ description string optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ id string optional
└ appId string optional
└ userId string optional
└ resourceType string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/workflows
Load more endpoints